package com.ruoyi.oa.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.oa.domain.OaSalary;
import com.ruoyi.oa.domain.vo.OaSalaryVo;
import com.ruoyi.common.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

/**
 * 薪资管理Mapper接口
 *
 * @author hdka
 * @date 2025-03-06
 */
public interface OaSalaryMapper extends BaseMapperPlus<OaSalaryMapper, OaSalary, OaSalaryVo> {

    Page<OaSalaryVo> selectStaffVoPage(Page<Object> build,@Param(Constants.WRAPPER) Wrapper<OaSalary> lqw,@Param("payTime") Date payTime);


    OaSalary selectVoByUserId(@Param("userId") Long userId,@Param("yearMonth") Date yearMonth);

    OaSalaryVo selectVoAndItemVoById(@Param("salaryId")Long salaryId,@Param("payTime")Date payTime);

    void delByPayTime(Date date);


    void delItemByPayYearMonth(Date yearMonth);
}
